Bug 1396478 - Review Request: daala - Daala video compression
Summary: Review Request: daala - Daala video compression
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sascha Spreitzer (Red Hat)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-18 12:46 UTC by Simone Caronni
Modified: 2017-01-03 21:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-03 17:52:03 UTC
sspreitz: fedora-review+


Attachments (Terms of Use)

Description Simone Caronni 2016-11-18 12:46:42 UTC
Spec URL: https://raw.githubusercontent.com/negativo17/daala/master/daala.spec
SRPM URL: https://slaanesh.fedorapeople.org/daala-0-1.20161114git4403315.fc25.src.rpm
Description:
A new video compression technology. The goal of the project is to provide a
video format that's free to implement, use and distribute, and a reference
implementation with technical performance superior to H.265.

Fedora Account System Username: slaanesh

Comment 1 Sascha Spreitzer (Red Hat) 2016-11-20 14:10:30 UTC
Going to review this

Comment 4 Sascha Spreitzer (Red Hat) 2016-11-25 10:42:17 UTC
looks good to me

Comment 5 Sascha Spreitzer (Red Hat) 2016-11-25 10:44:32 UTC
Could make use of %make_build

Comment 6 Simone Caronni 2016-11-25 13:21:55 UTC
Spec URL: https://raw.githubusercontent.com/negativo17/daala/master/daala.spec
SRPM URL: https://slaanesh.fedorapeople.org/daala-0-2.20161117git4eddbab.fc24.src.rpm

* Fri Nov 25 2016 Simone Caronni <negativo17@gmail.com> - 0-2.20161117git4eddbab
- Update to latest snapshot.
- Use make_build macro, license macro.

Comment 7 Sascha Spreitzer (Red Hat) 2016-11-25 13:35:03 UTC
Going to redo the review, this time in line with review template guidance

Comment 8 Sascha Spreitzer (Red Hat) 2016-12-13 13:21:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "LGPL (v2.1 or later) (with incorrect FSF
     address)", "GPL (v2 or later)", "Unknown or generated", "GPL
     (unversioned/unknown version)", "BSD (3 clause)", "BSD (2 clause)".
     163 files have unknown license. Detailed output of licensecheck in
     /home/fedora/1396478-daala/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: Spec file is legible and written in American English.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in daala-
     libs , daala-devel , daala-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (debuginfo)
-------------------
Cannot parse rpmlint output:



Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
daala-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libdaalabase.so.0()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

daala-debuginfo (rpmlib, GLIBC filtered):

daala-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    daala-libs(x86-64)
    libdaalabase.so.0()(64bit)
    libdaaladec.so.0()(64bit)
    libdaalaenc.so.0()(64bit)



Provides
--------
daala-libs:
    daala-libs
    daala-libs(x86-64)
    libdaalabase.so.0()(64bit)
    libdaaladec.so.0()(64bit)
    libdaalaenc.so.0()(64bit)

daala-debuginfo:
    daala-debuginfo
    daala-debuginfo(x86-64)

daala-devel:
    daala-devel
    daala-devel(x86-64)
    pkgconfig(daaladec)
    pkgconfig(daalaenc)



Source checksums
----------------
https://git.xiph.org/?p=daala.git;a=snapshot;h=4eddbab067fa434e2d3d96eb5c872ec8a2064468;sf=tgz#/daala-4eddbab.tar.gz :
  CHECKSUM(SHA256) this package     : 455805a7dffe11a88ea5ea7d5940cfbdfdd04d6bb8f3225c9f9f7cef167ccc06
  CHECKSUM(SHA256) upstream package : 455805a7dffe11a88ea5ea7d5940cfbdfdd04d6bb8f3225c9f9f7cef167ccc06


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1396478
Buildroot used: fedora-25-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 Gwyn Ciesla 2016-12-16 13:39:51 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/daala

Comment 10 Fedora Update System 2016-12-17 08:55:42 UTC
daala-0-2.20161117git4eddbab.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-03784d8a6f

Comment 11 Fedora Update System 2016-12-17 08:55:49 UTC
daala-0-2.20161117git4eddbab.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fd30b4d48d

Comment 12 Fedora Update System 2016-12-17 08:55:53 UTC
daala-0-2.20161117git4eddbab.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2b9c822d95

Comment 13 Fedora Update System 2016-12-19 01:51:47 UTC
daala-0-3.20161216git28de40b.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fd30b4d48d

Comment 14 Fedora Update System 2016-12-19 02:30:59 UTC
daala-0-3.20161216git28de40b.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-03784d8a6f

Comment 15 Fedora Update System 2016-12-20 00:58:00 UTC
daala-0-3.20161216git28de40b.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2b9c822d95

Comment 16 Fedora Update System 2017-01-03 17:52:03 UTC
daala-0-3.20161216git28de40b.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-01-03 20:22:20 UTC
daala-0-3.20161216git28de40b.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-01-03 21:24:29 UTC
daala-0-3.20161216git28de40b.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.